> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/formula-one-api/our-api/tracks-1/tracks.md).

# GET All Tracks

{% hint style="danger" %}
**This version of the API is deprecated. Please visit the** [**docs**](https://docs.sportmonks.com/v3/motorsport-api/) **of our brand new Motorsport API v3**&#x20;
{% endhint %}

### `GET` All tracks

```
https://f1.sportmonks.com/api/v1.0/tracks
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 10      |

#### Parameters

| Available parameters |                                                                                                                   |
| -------------------- | ----------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url. |

#### Include options

`seasons` `stages` `currentStage`

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors. &#x20;

#### Example response

{% tabs %}
{% tab title="Request" %}

```
https://f1.sportmonks.com/api/v1.0/tracks?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
  "data": [
        {
            "id": 1,
            "name": "Australian Grand Prix",
            "track": "Albert Park",
            "length": "5.303 km",
            "country_id": 98,
            "direction": "clockwise",
            "type": "street-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/albert-park-circuit.png"
        },
        {
            "id": 2,
            "name": "Chinese Grand Prix",
            "track": "Shanghai International Circuit ",
            "length": "5.451 km",
            "country_id": 5618,
            "direction": "clockwise",
            "type": "race-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/shanghai-international-circuit.png"
        },
        {
            "id": 3,
            "name": "Bahrain Grand Prix",
            "track": "Bahrain International Circuit",
            "length": "5.412 km",
            "country_id": 190321,
            "direction": "clockwise",
            "type": "race-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/bahrain-international-circuit.png"
        },
        {
            "id": 4,
            "name": "Russian Grand Prix",
            "track": "Sochi International Street Circuit",
            "length": "5.848 km",
            "country_id": 227,
            "direction": "clockwise",
            "type": "street-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/sochi-autodrom-circuit.png"
        },
        {
            "id": 5,
            "name": "Spanish Grand Prix",
            "track": "Circuit de Catalunya",
            "length": "4.675 km",
            "country_id": 32,
            "direction": "clockwise",
            "type": "race-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/catalunya-circuit.png"
        },
        {
            "id": 6,
            "name": "Monaco Grand Prix",
            "track": "Circuit de Monaco",
            "length": "3.337 km",
            "country_id": 75285,
            "direction": "clockwise",
            "type": "street-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/monaco-circuit.png"
        },
        {
            "id": 7,
            "name": "Canadian Grand Prix",
            "track": "Circuit Gilles Villeneuve",
            "length": "4.361 km",
            "country_id": 1004,
            "direction": "clockwise",
            "type": "race-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/gilles-villeneuve-circuit.png"
        },
        {
            "id": 8,
            "name": "Azerbaijan Grand Prix",
            "track": "Baku City Circuit",
            "length": "6.003 km",
            "country_id": 2453,
            "direction": "anti-clockwise",
            "type": "street-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/baku-city-circuit.png"
        },
        {
            "id": 9,
            "name": "Austrian Grand Prix",
            "track": "Red Bull Ring",
            "length": "4.318 km",
            "country_id": 143,
            "direction": "clockwise",
            "type": "race-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/redbull-ring-circuit.png"
        },
        {
            "id": 10,
            "name": "British Grand Prix",
            "track": "Silverstone Circuit",
            "length": "5.891 km",
            "country_id": 462,
            "direction": "clockwise",
            "type": "race-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/silverstone-circuit.png"
        },
        {
            "id": 11,
            "name": "Hungarian Grand Prix",
            "track": "Hungaroring",
            "length": "4.381 km",
            "country_id": 674,
            "direction": "clockwise",
            "type": "race-circuit",
            "image_path": "https://cdn.sportmonks.com/images/f1/circuits/hungaroring-circuit.png"
        },
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://formulaone-postman.sportmonks.com/#d24f51c7-0cfe-4bbb-a629-787a206c07fc)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v2/formula-one-api/our-api/tracks-1/tracks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
